Workspace
My Solk support tickets
The Solk support tickets the user wrote (latest activity first): id, subject, category + category_label, status (sending · open · answered — a reply came · solved · closed) + status_label, unread (an unread reply from Solk), last_side (user | team), preview, n_msgs, created_at, updated_at. The response also has on (whether the installation is connected to the Solk panel — if not, tickets cannot be opened and users write to email), email, unread, categories (k, label, icon). Admins see the whole team's tickets with scope=team. These are not the workspace's own customer support tickets (Support module).
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Scope:
crm.readQuery parameters
scopestringoptionalteam = the whole team's tickets (admins).Values
mineteamRequest
curl https://ornek.solk.app/api/v1/support \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/support", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/support",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response